#pragma once

#include <opencv/cv.h>
#include <opencv/highgui.h>
#include <opencv/cxcore.h>
#include <vector>
#include <math.h>
#include "RansacVp.h"

using namespace std;

class CLaneDetect
{
public:
	void LaneDetect(IplImage *src, IplImage *dest);

private:
	void LaneCandidate (IplImage *mag, IplImage *ori, IplImage *dst);
	sPoint VanishingPoint (vector<sLine> &lane_cand, vector<sLine> *inlier);

private:
	sPoint _vp;	//  ǿ  vanishing point
};